<?xml version="1.0" encoding="utf-8"?>
<HorizontalScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent" >

    <ScrollView
        android:layout_width="wrap_content"
        android:layout_height="match_parent" >

        <LinearLayout
            android:layout_width="450dp"
            android:layout_height="300dp"
            android:background="@color/alert_background"
            android:orientation="vertical"
            android:paddingLeft="10dp"
            android:paddingRight="10dp" >

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="left|top"
                android:layout_marginTop="5dp"
                android:orientation="horizontal" >

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/pen_size"
                    android:textColor="@color/text_select" />

                <RadioGroup
                    android:id="@+id/radio_size_group"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal" >

                    <RadioButton
                        android:id="@+id/radio_size_0"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="20dp"
                        android:text="@string/marking_size_title_0"
                        android:textColor="@color/text_select" />

                    <RadioButton
                        android:id="@+id/radio_size_1"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        android:text="@string/marking_size_title_1"
                        android:textColor="@color/text_select" />

                    <RadioButton
                        android:id="@+id/radio_size_2"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        android:text="@string/marking_size_title_2"
                        android:textColor="@color/text_select" />

                    <RadioButton
                        android:id="@+id/radio_size_3"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        android:text="@string/marking_size_title_3"
                        android:textColor="@color/text_select" />

                    <RadioButton
                        android:id="@+id/radio_size_4"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        android:text="@string/marking_size_title_4"
                        android:textColor="@color/text_select" />
                </RadioGroup>
            </LinearLayout>

            <ImageView
                android:id="@+id/imgBar"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/setting_bar_horizonal"
                android:contentDescription="@null" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="left|top"
                android:layout_marginBottom="5dp"
                android:layout_marginTop="5dp"
                android:orientation="horizontal" >

                <LinearLayout
                    android:id="@+id/layoutColor"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content" >

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/color_title"
                        android:textColor="@color/text_select" />

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="left|top"
                        android:orientation="vertical" >

                        <LinearLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="left|top"
                            android:orientation="horizontal" >

                            <jp.agentec.abook.abv.ui.common.view.ABVImageLineButton
                                android:id="@+id/imgBtnColor0"
                                android:layout_width="50dp"
                                android:layout_height="30dp"
                                android:layout_marginLeft="5dp"
                                android:contentDescription="@null" />

                            <jp.agentec.abook.abv.ui.common.view.ABVImageLineButton
                                android:id="@+id/imgBtnColor1"
                                android:layout_width="50dp"
                                android:layout_height="30dp"
                                android:layout_marginLeft="5dp"
                                android:contentDescription="@null" />

                            <jp.agentec.abook.abv.ui.common.view.ABVImageLineButton
                                android:id="@+id/imgBtnColor2"
                                android:layout_width="50dp"
                                android:layout_height="30dp"
                                android:layout_marginLeft="5dp"
                                android:contentDescription="@null" />

                            <jp.agentec.abook.abv.ui.common.view.ABVImageLineButton
                                android:id="@+id/imgBtnColor3"
                                android:layout_width="50dp"
                                android:layout_height="30dp"
                                android:layout_marginLeft="5dp"
                                android:contentDescription="@null" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="left|top"
                            android:layout_marginTop="10dp"
                            android:orientation="horizontal" >

                            <jp.agentec.abook.abv.ui.common.view.ABVImageLineButton
                                android:id="@+id/imgBtnColor4"
                                android:layout_width="50dp"
                                android:layout_height="30dp"
                                android:layout_marginLeft="5dp"
                                android:contentDescription="@null" />

                            <jp.agentec.abook.abv.ui.common.view.ABVImageLineButton
                                android:id="@+id/imgBtnColor5"
                                android:layout_width="50dp"
                                android:layout_height="30dp"
                                android:layout_marginLeft="5dp"
                                android:contentDescription="@null" />

                            <jp.agentec.abook.abv.ui.common.view.ABVImageLineButton
                                android:id="@+id/imgBtnColor6"
                                android:layout_width="50dp"
                                android:layout_height="30dp"
                                android:layout_marginLeft="5dp"
                                android:contentDescription="@null" />

                            <jp.agentec.abook.abv.ui.common.view.ABVImageLineButton
                                android:id="@+id/imgBtnColor7"
                                android:layout_width="50dp"
                                android:layout_height="30dp"
                                android:layout_marginLeft="5dp"
                                android:contentDescription="@null" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="left|top"
                            android:layout_marginTop="10dp"
                            android:orientation="horizontal" >

                            <jp.agentec.abook.abv.ui.common.view.ABVImageLineButton
                                android:id="@+id/imgBtnColor8"
                                android:layout_width="50dp"
                                android:layout_height="30dp"
                                android:layout_marginLeft="5dp"
                                android:contentDescription="@null" />

                            <jp.agentec.abook.abv.ui.common.view.ABVImageLineButton
                                android:id="@+id/imgBtnColor9"
                                android:layout_width="50dp"
                                android:layout_height="30dp"
                                android:layout_marginLeft="5dp"
                                android:contentDescription="@null" />

                            <jp.agentec.abook.abv.ui.common.view.ABVImageLineButton
                                android:id="@+id/imgBtnColor10"
                                android:layout_width="50dp"
                                android:layout_height="30dp"
                                android:layout_marginLeft="5dp"
                                android:contentDescription="@null" />

                            <jp.agentec.abook.abv.ui.common.view.ABVImageLineButton
                                android:id="@+id/imgBtnColor11"
                                android:layout_width="50dp"
                                android:layout_height="30dp"
                                android:layout_marginLeft="5dp"
                                android:contentDescription="@null" />
                        </LinearLayout>
                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_gravity="center"
                    android:gravity="center" >

                    <jp.agentec.abook.abv.ui.common.view.ABVMarkingSettingPreviewView
                        android:id="@+id/imgBtnSelectColor"
                        android:layout_width="110px"
                        android:layout_height="110px"
                        android:contentDescription="@null" />
                </LinearLayout>
            </LinearLayout>
        </LinearLayout>
    </ScrollView>

</HorizontalScrollView>